Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime
Interface KieContainer

    public interface KieContainer

A container for all the KieBases of a given KieModule

Method Summary
`ClassLoader` | `getClassLoader()` Returns the ClassLoader used by this KieContainer
`KieBase` | `getKieBase()` Returns the default KieBase in this KieContainer.
`KieBase` | `getKieBase(String kBaseName)` Returns the KieBase with the given name in this KieContainer.
`Collection<String>` | `getKieBaseNames()` Returns the names of all the KieBases available in this KieContainer
`Collection<String>` | `getKieSessionNamesInKieBase(String kBaseName)` Returns the names of all the KieSessions defined in this KieContainer for the given KieBase
`ReleaseId` | `getReleaseId()` Returns the ReleaseId of the KieModule wrapped by this KieContainer
`KieBase` | `newKieBase(KieBaseConfiguration conf)` Creates a new default KieBase using the given configuration.
`KieBase` | `newKieBase(String kBaseName, KieBaseConfiguration conf)` Creates a new KieBase with the given name using the given configuration.
`KieSession` | `newKieSession()` Creates the default KieSession for this KieContainer
`KieSession` | `newKieSession(Environment environment)` Creates the default KieSession for this KieContainer using the given Environment
`KieSession` | `newKieSession(Environment environment, KieSessionConfiguration conf)` Creates the default KieSession for this KieContainer with the given configuration and Environment
`KieSession` | `newKieSession(KieSessionConfiguration conf)` Creates the default KieSession for this KieContainer with the given configuration
`KieSession` | `newKieSession(String kSessionName)` Creates the KieSession with the given name for this KieContainer
`KieSession` | `newKieSession(String kSessionName, Environment environment)` Creates the KieSession with the given name for this KieContainer using the given Environment
`KieSession` | `newKieSession(String kSessionName, Environment environment, KieSessionConfiguration conf)` Creates the KieSession with the given name for this KieContainer using the given Environment and configuration
`KieSession` | `newKieSession(String kSessionName, KieSessionConfiguration conf)` Creates the KieSession with the given name for this KieContainer with the given configuration
`StatelessKieSession` | `newStatelessKieSession()` Creates the default StatelessKieSession for this KieContainer
`StatelessKieSession` | `newStatelessKieSession(KieSessionConfiguration conf)` Creates the default StatelessKieSession for this KieContainer using the given configuration
`StatelessKieSession` | `newStatelessKieSession(String kSessionName)` Creates the StatelessKieSession with the given name for this KieContainer
`StatelessKieSession` | `newStatelessKieSession(String kSessionName, KieSessionConfiguration conf)` Creates the StatelessKieSession with the given name for this KieContainer using the given configuration
`Results` | `updateToVersion(ReleaseId version)` Updates this KieContainer to a KieModule with the given ReleaseId
`Results` | `verify()` Builds all the KieBase in the KieModule wrapped by this KieContainer and return te Results of this building process
`Results` | `verify(String... kBaseNames)` Builds the KieBases with the given name(s) in the KieModule wrapped by this KieContainer and return te Results of this building process

Method Detail

### getReleaseId

    ReleaseId getReleaseId()

  Returns the ReleaseId of the KieModule wrapped by this KieContainer

### verify

    Results verify()

  Builds all the KieBase in the KieModule wrapped by this KieContainer and return te Results of this building process

### verify

    Results verify(String... kBaseNames)

  Builds the KieBases with the given name(s) in the KieModule wrapped by this KieContainer and return te Results of this building process

### updateToVersion

    Results updateToVersion(ReleaseId version)

  Updates this KieContainer to a KieModule with the given ReleaseId

### getKieBaseNames

    Collection<String> getKieBaseNames()

  Returns the names of all the KieBases available in this KieContainer

### getKieSessionNamesInKieBase

    Collection<String> getKieSessionNamesInKieBase(String kBaseName)

  Returns the names of all the KieSessions defined in this KieContainer for the given KieBase

### getKieBase

    KieBase getKieBase()

  Returns the default KieBase in this KieContainer. The returned KieBase will be managed by this KieContainer and then it will be updated when the KieContainer itself will be updated to a newer version of the KieModule.

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default KieBase
  See Also:
    `KieBaseModel.setDefault(boolean)`

### getKieBase

    KieBase getKieBase(String kBaseName)

  Returns the KieBase with the given name in this KieContainer. The returned KieBase will be managed by this KieContainer and then it will be updated when the KieContainer itself will be updated to a newer version of the KieModule.

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any KieBase with the given name

### newKieBase

    KieBase newKieBase(KieBaseConfiguration conf)

  Creates a new default KieBase using the given configuration. The returned KieBase will be detached from this KieContainer and then will NOT be updated when the KieContainer itself will be updated to a newer version of the KieModule.

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default KieBase
  See Also:
    `KieBaseModel.setDefault(boolean)`

### newKieBase

    KieBase newKieBase(String kBaseName,
                       KieBaseConfiguration conf)

  Creates a new KieBase with the given name using the given configuration. The returned KieBase will be detached from this KieContainer and then will NOT be updated when the KieContainer itself will be updated to a newer version of the KieModule.

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any KieBase with the given name

### newKieSession

    KieSession newKieSession()

  Creates the default KieSession for this KieContainer

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default KieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newKieSession

    KieSession newKieSession(KieSessionConfiguration conf)

  Creates the default KieSession for this KieContainer with the given configuration

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default KieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newKieSession

    KieSession newKieSession(Environment environment)

  Creates the default KieSession for this KieContainer using the given Environment

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default KieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newKieSession

    KieSession newKieSession(Environment environment,
                             KieSessionConfiguration conf)

  Creates the default KieSession for this KieContainer with the given configuration and Environment

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default KieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newKieSession

    KieSession newKieSession(String kSessionName)

  Creates the KieSession with the given name for this KieContainer

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any KieSession with the given name

### newKieSession

    KieSession newKieSession(String kSessionName,
                             Environment environment)

  Creates the KieSession with the given name for this KieContainer using the given Environment

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any KieSession with the given name

### newKieSession

    KieSession newKieSession(String kSessionName,
                             KieSessionConfiguration conf)

  Creates the KieSession with the given name for this KieContainer with the given configuration

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any KieSession with the given name

### newKieSession

    KieSession newKieSession(String kSessionName,
                             Environment environment,
                             KieSessionConfiguration conf)

  Creates the KieSession with the given name for this KieContainer using the given Environment and configuration

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any KieSession with the given name

### newStatelessKieSession

    StatelessKieSession newStatelessKieSession()

  Creates the default StatelessKieSession for this KieContainer

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default StatelessKieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newStatelessKieSession

    StatelessKieSession newStatelessKieSession(KieSessionConfiguration conf)

  Creates the default StatelessKieSession for this KieContainer using the given configuration

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any default StatelessKieSession
  See Also:
    `KieSessionModel.setDefault(boolean)`

### newStatelessKieSession

    StatelessKieSession newStatelessKieSession(String kSessionName)

  Creates the StatelessKieSession with the given name for this KieContainer

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any StatelessKieSession with the given name

### newStatelessKieSession

    StatelessKieSession newStatelessKieSession(String kSessionName,
                                               KieSessionConfiguration conf)

  Creates the StatelessKieSession with the given name for this KieContainer using the given configuration

  Throws:
    `RuntimeException` - if this KieContainer doesn't have any StatelessKieSession with the given name

### getClassLoader

    ClassLoader getClassLoader()

  Returns the ClassLoader used by this KieContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.